CWIS Developer Documentation

- Home
- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
RSS Class Reference

## Public Member Functions
| RSS ()
| AddChannel ($Title, $Link, $Description, $RssLink)
| SetImage ($Url, $Height=NULL, $Width=NULL, $Description=NULL)
| SetEncoding ($Value)
| SetLanguage ($Value)
| SetCopyright ($Value)
| SetManagingEditor ($Value)
| SetWebmaster ($Value)
| AddCategory ($Value)
| SetPicsRating ($Value)
| SetPublicationDate ($Value)
| SetLastChangeDate ($Value)
| SetTextInput ($Title, $Description, $Name)
| SetSkipTimes ($Days, $Hours)
| SetCloud ($Domain, $Port, $Path, $Procedure, $Protocol)
| AddItem ($Title=NULL, $Link=NULL, $Description=NULL, $Date=NULL)
| AddItemAuthor ($Email)
| AddItemCategory ($Category, $Url=NULL)
| AddItemComments ($Url)
| AddItemEnclosure ($Url, $Length, $Type)
| PrintRSS ()

## Public Attributes
| $Encoding
| $Channels
| $Items
| $ChannelCount
| $ItemCounts
| $ChannelIndex
| $ItemIndex

## Detailed Description

Definition at line 19 of file Axis--RSS.php.

## Member Function Documentation

RSS::AddCategory | ( |  | $Value | ) |

Definition at line 56 of file Axis--RSS.php.

References $ChannelCount.

RSS::AddChannel | ( |  | $Title,
|  |  | $Link,
|  |  | $Description,
|  |  | $RssLink
| ) |  |

Definition at line 32 of file Axis--RSS.php.

References $ChannelCount.

RSS::AddItem | ( |  | $Title = `NULL`,
|  |  | $Link = `NULL`,
|  |  | $Description = `NULL`,
|  |  | $Date = `NULL`
| ) |  |

Definition at line 76 of file Axis--RSS.php.

References $ChannelCount.

RSS::AddItemAuthor | ( |  | $Email | ) |

Definition at line 84 of file Axis--RSS.php.

References $ChannelCount.

RSS::AddItemCategory | ( |  | $Category,
|  |  | $Url = `NULL`
| ) |  |

Definition at line 88 of file Axis--RSS.php.

References $ChannelCount.

RSS::AddItemComments | ( |  | $Url | ) |

Definition at line 94 of file Axis--RSS.php.

References $ChannelCount.

RSS::AddItemEnclosure | ( |  | $Url,
|  |  | $Length,
|  |  | $Type
| ) |  |

Definition at line 98 of file Axis--RSS.php.

References $ChannelCount.

RSS::PrintRSS | ( |  | ) |

Definition at line 106 of file Axis--RSS.php.

References $ChannelCount, and FTOut().

RSS::RSS | ( |  | ) |

Definition at line 23 of file Axis--RSS.php.

RSS::SetCloud | ( |  | $Domain,
|  |  | $Port,
|  |  | $Path,
|  |  | $Procedure,
|  |  | $Protocol
| ) |  |

Definition at line 70 of file Axis--RSS.php.

RSS::SetCopyright | ( |  | $Value | ) |

Definition at line 53 of file Axis--RSS.php.

References $ChannelCount.

RSS::SetEncoding | ( |  | $Value | ) |

Definition at line 51 of file Axis--RSS.php.

RSS::SetImage | ( |  | $Url,
|  |  | $Height = `NULL`,
|  |  | $Width = `NULL`,
|  |  | $Description = `NULL`
| ) |  |

Definition at line 42 of file Axis--RSS.php.

References $ChannelCount.

RSS::SetLanguage | ( |  | $Value | ) |

Definition at line 52 of file Axis--RSS.php.

References $ChannelCount.

RSS::SetLastChangeDate | ( |  | $Value | ) |

Definition at line 59 of file Axis--RSS.php.

References $ChannelCount.

RSS::SetManagingEditor | ( |  | $Value | ) |

Definition at line 54 of file Axis--RSS.php.

References $ChannelCount.

RSS::SetPicsRating | ( |  | $Value | ) |

Definition at line 57 of file Axis--RSS.php.

References $ChannelCount.

RSS::SetPublicationDate | ( |  | $Value | ) |

Definition at line 58 of file Axis--RSS.php.

References $ChannelCount.

RSS::SetSkipTimes | ( |  | $Days,
|  |  | $Hours
| ) |  |

Definition at line 66 of file Axis--RSS.php.

RSS::SetTextInput | ( |  | $Title,
|  |  | $Description,
|  |  | $Name
| ) |  |

Definition at line 60 of file Axis--RSS.php.

References $ChannelCount.

RSS::SetWebmaster | ( |  | $Value | ) |

Definition at line 55 of file Axis--RSS.php.

References $ChannelCount.

## Member Data Documentation

RSS::$ChannelCount

Definition at line 219 of file Axis--RSS.php.

Referenced by AddCategory(), AddChannel(), AddItem(), AddItemAuthor(), AddItemCategory(), AddItemComments(), AddItemEnclosure(), PrintRSS(), SetCopyright(), SetImage(), SetLanguage(), SetLastChangeDate(), SetManagingEditor(), SetPicsRating(), SetPublicationDate(), SetTextInput(), and SetWebmaster().

RSS::$ChannelIndex

Definition at line 221 of file Axis--RSS.php.

RSS::$Channels

Definition at line 217 of file Axis--RSS.php.

RSS::$Encoding

Definition at line 216 of file Axis--RSS.php.

RSS::$ItemCounts

Definition at line 220 of file Axis--RSS.php.

RSS::$ItemIndex

Definition at line 222 of file Axis--RSS.php.

RSS::$Items

Definition at line 218 of file Axis--RSS.php.

The documentation for this class was generated from the following file:

- lib/AxisPHP/Axis--RSS.php